Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Interval Class Reference

Inheritance diagram for Interval:

List of all members.

## Public Member Functions
def | __init__
def | __repr__
def | clearToInitial
def | finish
def | getDoneEvent
def | getDuration
def | getLoop
def | getName
def | getOpenEnded
def | getPlayRate
def | getState
def | getT
def | intervalDone
def | isPaused
def | isPlaying
def | isStopped
def | loop
def | pause
def | popupControls
def | privDoEvent
def | privFinalize
def | privInitialize
def | privInstant
def | privInterrupt
def | privPostEvent
def | privReverseFinalize
def | privReverseInitialize
def | privReverseInstant
def | privStep
def | resume
def | resumeUntil
def | setDoneEvent
def | setLoop
def | setPlayRate
def | setT
def | setupPlay
def | setupResume
def | start
def | stepPlay
## Public Attributes
| currT
| doneEvent
| duration
| es
| name
| openEnded
| pname
| pstats
| setTHooks
| state
## Static Public Attributes
tuple | notify = directNotify.newCategory("Interval")
int | playbackCounter = 0

## Detailed Description

    Interval class: Base class for timeline functionality

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | duration,
|  |  | openEnded = `1`
| ) |  |

Reimplemented in IgnoreInterval, ParentInterval, and WrtParentInterval.

## Member Function Documentation

def __repr__ | ( |  | self,
|  |  | indent = `0`
| ) |  |

def clearToInitial | ( |  | self | ) |

def finish | ( |  | self | ) |

def getDoneEvent | ( |  | self | ) |

def getDuration | ( |  | self | ) |

def getLoop | ( |  | self | ) |

def getName | ( |  | self | ) |

def getOpenEnded | ( |  | self | ) |

def getPlayRate | ( |  | self | ) |

    Returns the play rate as set by the last call to start(),
    loop(), or setPlayRate().

def getState | ( |  | self | ) |

def getT | ( |  | self | ) |

def intervalDone | ( |  | self | ) |

def isPaused | ( |  | self | ) |

def isPlaying | ( |  | self | ) |

def isStopped | ( |  | self | ) |

def loop | ( |  | self,
|  |  | startT = `0.0`,
|  |  | endT = `-1.0`,
|  |  | playRate = `1.0`
| ) |  |

def pause | ( |  | self | ) |

def popupControls | ( |  | self,
|  |  | tl = `None`
| ) |  |

    Popup control panel for interval.

def privDoEvent | ( |  | self,
|  |  | t,
|  |  | event
| ) |  |

def privFinalize | ( |  | self | ) |

Reimplemented in ActorInterval, AnimControlInterval, IndirectInterval, and SoundInterval.

def privInitialize | ( |  | self,
|  |  | t
| ) |  |

Reimplemented in IndirectInterval, and SoundInterval.

def privInstant | ( |  | self | ) |

Reimplemented in FunctionInterval, IndirectInterval, and SoundInterval.

def privInterrupt | ( |  | self | ) |

Reimplemented in IndirectInterval, and SoundInterval.

def privPostEvent | ( |  | self | ) |

def privReverseFinalize | ( |  | self | ) |

Reimplemented in IndirectInterval, and SoundInterval.

def privReverseInitialize | ( |  | self,
|  |  | t
| ) |  |

Reimplemented in IndirectInterval, and SoundInterval.

def privReverseInstant | ( |  | self | ) |

Reimplemented in IndirectInterval, and SoundInterval.

def privStep | ( |  | self,
|  |  | t
| ) |  |

Reimplemented in ActorInterval, AnimControlInterval, IndirectInterval, LerpFunctionNoStateInterval, LerpFunctionInterval, and SoundInterval.

def resume | ( |  | self,
|  |  | startT = `None`
| ) |  |

def resumeUntil | ( |  | self,
|  |  | endT
| ) |  |

def setDoneEvent | ( |  | self,
|  |  | event
| ) |  |

def setLoop | ( |  | self,
|  |  | loop = `1`
| ) |  |

def setPlayRate | ( |  | self,
|  |  | playRate
| ) |  |

    Changes the play rate of the interval.  If the interval is
    already started, this changes its speed on-the-fly.  Note that
    since playRate is a parameter to start() and loop(), the next
    call to start() or loop() will reset this parameter.

def setT | ( |  | self,
|  |  | t
| ) |  |

def setupPlay | ( |  | self,
|  |  | startT,
|  |  | endT,
|  |  | playRate,
|  |  | doLoop
| ) |  |

def setupResume | ( |  | self | ) |

def start | ( |  | self,
|  |  | startT = `0.0`,
|  |  | endT = `-1.0`,
|  |  | playRate = `1.0`
| ) |  |

def stepPlay | ( |  | self | ) |

## Member Data Documentation

currT

Reimplemented in ActorInterval, AnimControlInterval, IndirectInterval, LerpFunctionNoStateInterval, LerpFunctionInterval, and SoundInterval.

doneEvent

duration

Reimplemented in LerpFunctionNoStateInterval, and LerpFunctionInterval.

es

name

tuple notify = directNotify.newCategory("Interval")`[static]`

Reimplemented in ActorInterval, AnimControlInterval, FunctionInterval, IndirectInterval, LerpFunctionNoStateInterval, LerpFunctionInterval, MopathInterval, and SoundInterval.

openEnded

int playbackCounter = 0`[static]`

pname

pstats

setTHooks

state

Reimplemented in ActorInterval, AnimControlInterval, IndirectInterval, LerpFunctionNoStateInterval, LerpFunctionInterval, and SoundInterval.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties